FLTK 1.4.4

Loading...
Searching...
No Matches
Fl_Cairo_State Class Reference
Cairo Support Functions and Classes

Contains all the necessary info on the current cairo context. More...

`#include <Fl_Cairo.H>`

## Public Member Functions
bool | autolink () const
| Gets the autolink option. See Fl::cairo_autolink_context(bool).
void | autolink (bool b)
| Sets the autolink option, only available with –enable-cairoext.
cairo_t * | cc () const
| Gets the current cairo context.
void | cc (cairo_t *c, bool own=true)
| Sets the current cairo context.
void * | gc () const
| Gets the last gc attached to a cc.
void | gc (void *c)
| Sets the gc `c` to keep track on.
void * | window () const
| Gets the last window attached to a cc.
void | window (void *w)
| Sets the window `w` to keep track on.

## Detailed Description

Contains all the necessary info on the current cairo context.

A private internal & unique corresponding object is created to permit cairo context state handling while keeping it opaque. For internal use only.

Note
  Only available when configure has the –enable-cairo or –enable-cairoext option or one or both of the CMake options FLTK_OPTION_CAIRO_WINDOW or FLTK_OPTION_CAIRO_EXT is set (ON)

## Member Function Documentation

## ◆ cc()

void Fl_Cairo_State::cc | ( | cairo_t * | c,
|  | bool | own = true )
| inline

Sets the current cairo context.

`own` == true (the default) indicates that the cairo context `c` will be deleted by FLTK internally when another cc is set later.

`own` == false indicates cc deletion is handled externally by the user program.

The documentation for this class was generated from the following files:

- Fl_Cairo.H
- Fl_Cairo.cxx